package com.bonus.canteen.core.supply.purchase.domain.vo;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class DrpMaterialTenderBatch {
   @ApiModelProperty("货品ID")
   private Long materialId;
   @ApiModelProperty("报价单价")
   private Long quotePrice;
   @ApiModelProperty("采购数量")
   private BigDecimal purNum;
   @ApiModelProperty("合计")
   private BigDecimal totalAmount;

   public Long getMaterialId() {
      return this.materialId;
   }

   public Long getQuotePrice() {
      return this.quotePrice;
   }

   public BigDecimal getPurNum() {
      return this.purNum;
   }

   public BigDecimal getTotalAmount() {
      return this.totalAmount;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setQuotePrice(final Long quotePrice) {
      this.quotePrice = quotePrice;
   }

   public void setPurNum(final BigDecimal purNum) {
      this.purNum = purNum;
   }

   public void setTotalAmount(final BigDecimal totalAmount) {
      this.totalAmount = totalAmount;
   }
}
